Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec	(revision 1668)
@@ -0,0 +1,195 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+        xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-1:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " />
+   </sliver_type>
+   <interface client_id="VM-2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-3" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-3:if0">
+   <ip address="172.16.1.3" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-4" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-4:if0">
+   <ip address="172.16.1.4" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-5" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-5:if0">
+   <ip address="172.16.1.5" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-6" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-6:if0">
+   <ip address="172.16.1.6" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-7" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-7:if0">
+   <ip address="172.16.1.7" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-8" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-8:if0">
+   <ip address="172.16.1.8" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-9" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-9:if0">
+   <ip address="172.16.1.9" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-10" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-10:if0">
+   <ip address="172.16.1.10" netmask="255.255.255.0" />
+   </interface>
+</node>
+  <link client_id="Lan">
+   <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+   <interface_ref client_id="VM-1:if0"/>
+   <interface_ref client_id="VM-2:if0"/>
+   <interface_ref client_id="VM-3:if0"/>
+   <interface_ref client_id="VM-4:if0"/>
+   <interface_ref client_id="VM-5:if0"/>
+   <interface_ref client_id="VM-6:if0"/>
+   <interface_ref client_id="VM-7:if0"/>
+   <interface_ref client_id="VM-8:if0"/>
+   <interface_ref client_id="VM-9:if0"/>
+   <interface_ref client_id="VM-10:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-9:if0"/>
+   <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec-bad
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec-bad	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp1.rspec-bad	(revision 1668)
@@ -0,0 +1,225 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+        xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <services>
+   <execute shell="sh" command="hostname VM-1"/>
+   </services>
+   <interface client_id="VM-1:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " />
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-2"/>
+ </services>
+   <interface client_id="VM-2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-3" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-3"/>
+ </services>
+   <interface client_id="VM-3:if0">
+   <ip address="172.16.1.3" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-4" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-4"/>
+ </services>
+   <interface client_id="VM-4:if0">
+   <ip address="172.16.1.4" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-5" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-5"/>
+ </services>
+   <interface client_id="VM-5:if0">
+   <ip address="172.16.1.5" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-6" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-6"/>
+ </services>
+   <interface client_id="VM-6:if0">
+   <ip address="172.16.1.6" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-7" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+ <services>
+   <execute shell="sh" command="hostname VM-7"/>
+ </services>
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-7:if0">
+   <ip address="172.16.1.7" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-8" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+ <services>
+   <execute shell="sh" command="hostname VM-8"/>
+ </services>
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+   <interface client_id="VM-8:if0">
+   <ip address="172.16.1.8" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-9" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-9"/>
+ </services>
+   <interface client_id="VM-9:if0">
+   <ip address="172.16.1.9" netmask="255.255.255.0" />
+   </interface>
+</node>
+<node client_id="VM-10" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+   <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+   </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM-10"/>
+ </services>
+   <interface client_id="VM-10:if0">
+   <ip address="172.16.1.10" netmask="255.255.255.0" />
+   </interface>
+</node>
+  <link client_id="Lan">
+   <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+   <interface_ref client_id="VM-1:if0"/>
+   <interface_ref client_id="VM-2:if0"/>
+   <interface_ref client_id="VM-3:if0"/>
+   <interface_ref client_id="VM-4:if0"/>
+   <interface_ref client_id="VM-5:if0"/>
+   <interface_ref client_id="VM-6:if0"/>
+   <interface_ref client_id="VM-7:if0"/>
+   <interface_ref client_id="VM-8:if0"/>
+   <interface_ref client_id="VM-9:if0"/>
+   <interface_ref client_id="VM-10:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-9:if0"/>
+   <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp2.rspec	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp2.rspec	(revision 1668)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+<node client_id="BT" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname BT"/>
+ </services>
+    <interface client_id="BT:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+    </sliver_type>
+ <services>
+   <execute shell="sh" command="hostname VM"/>
+ </services>
+    <interface client_id="VM:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <interface_ref client_id="BT:if0"/>
+    <interface_ref client_id="VM:if0"/>
+    <property source_id="BT:if0" dest_id="VM:if0" />
+    <property source_id="VM:if0" dest_id="BT:if0" />
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-eg-gpo.rspec	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-eg-gpo.rspec	(revision 1668)
@@ -0,0 +1,31 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-openflow-eg-gpo.rspec	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp3-openflow-eg-gpo.rspec	(revision 1668)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-MON-4-exp3" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-exogeni">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp4.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp4.rspec	(revision 1668)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-MON-4/EG-MON-4-exp4.rspec	(revision 1668)
@@ -0,0 +1,49 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.17" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " /> 
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.18" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " />
+    </sliver_type>
+    <interface client_id="VM-3:if0">
+   <ip address="10.42.11.19" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73  " />
+    </sliver_type>
+    <interface client_id="VM-4:if0">
+   <ip address="10.42.11.20" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
